export default {
  panels: [
    {
      index: 0,
      height: 150,
      width: 241,
      paperCount: 222,
      printElements: [
        {
          options: {
            left: 0,
            top: 25,
            height: 27,
            width: 640,
            field: 'company',
            fontSize: 19,
            fontWeight: '600',
            fontFamily: '黑体,宋体,微软雅黑',
            textAlign: 'center',
            lineHeight: 26
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 25,
            top: 35,
            height: 13,
            lineHeight: 13,
            width: 328,
            fontSize: 12.5,
            title: '打印日期',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'nowDate',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 590,
            top: 35,
            height: 13,
            lineHeight: 13,
            width: 328,
            fontSize: 12.5,
            title: '打印次数',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'printNum',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        // {
        //   "options": {
        //     "left": 25,
        //     "top": 35,
        //     "height": 13,
        //     "lineHeight": 13,
        //     "width": 328,
        //     "fontSize": 12.5,
        //     "title": "经销商编码",
        //     "fontFamily": '黑体,宋体,微软雅黑',
        //     "field": "customerNumber",
        //     "color": "#000",
        //     "textAlign": "left"
        //   }, "printElementType": { "title": "", "type": "text" }
        // },

        {
          options: {
            left: 25,
            top: 55,
            height: 13,
            lineHeight: 13,
            width: 640,
            fontSize: 12.5,
            title: '经销商',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'customerName',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 500,
            top: 55,
            height: 13,
            lineHeight: 13,
            width: 300,
            fontSize: 12.5,
            title: '提货方式',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'pickTypeName',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 25,
            top: 72,
            height: 13,
            lineHeight: 13,
            width: 150,
            fontSize: 12.5,
            title: '出库单号',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'salesId',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 300,
            top: 72,
            height: 13,
            lineHeight: 13,
            width: 200,
            fontSize: 12.5,
            title: '发货单号',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'invoiceId',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },

        {
          options: {
            left: 500,
            top: 72,
            height: 13,
            lineHeight: 13,
            width: 300,
            fontSize: 12.5,
            title: '仓库',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'correspondName',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 25,
            top: 89,
            height: 13,
            lineHeight: 13,
            width: 328,
            fontSize: 12.5,
            title: '工程登录编号',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'refEnginRecordNo',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 300,
            top: 89,
            height: 13,
            lineHeight: 13,
            width: 410,
            fontSize: 12.5,
            title: '使用单位',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'refUseUnit',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 25,
            top: 106,
            height: 13,
            lineHeight: 13,
            width: 633,
            fontSize: 12.5,
            title: '备注',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'headerRemark',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text', fontSize: 8 }
        },
        {
          options: {
            left: 23,
            top: 123,
            height: 410,
            width: 630,
            fontSize: 12.5,
            field: 'table',
            fontFamily: '黑体,宋体,微软雅黑',
            lineHeight: 16,
            tableFooterRepeat: 'last',
            columns: [
              [
                {
                  title: '订单号',
                  field: 'enginOrderType',
                  width: 60,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '发货日期',
                  field: 'createTime',
                  width: 50,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },

                {
                  title: '存货名称',
                  field: 'materialName',
                  width: 100,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '规格型号',
                  field: 'specification',
                  width: 140,
                  align: 'left',
                  overflow: 'hidden',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '数量',
                  field: 'refundableQty',
                  width: 23,
                  align: 'center',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5,
                  tableSummary: 'sum'
                },
                // , {
                //   "title": "订单备注",
                //   "field": "headerRemark",
                //   "width": 40,
                //   "align": "center",
                //   "colspan": 1,
                //   "rowspan": 1,
                //   "fontSize": 12.5,
                // }
                {
                  title: '备注说明',
                  field: 'pjxh1Text',
                  width: 40,
                  align: 'left',
                  colspan: 2,
                  rowspan: 1,
                  fontSize: 12.5
                }
              ]
            ]
          },
          printElementType: {
            title: '表格',
            type: 'table',
            editable: true,
            columnDisplayEditable: true, // 列显示是否能编辑
            columnDisplayIndexEditable: true, // 列顺序显示是否能编辑
            columnTitleEditable: true, // 列标题是否能编辑
            columnResizable: true, // 列宽是否能调整
            columnAlignEditable: true, // 列对齐是否调整
            isEnableEditField: true, // 编辑字段
            isEnableContextMenu: true, // 开启右键菜单 默认true
            isEnableInsertRow: true, // 插入行
            isEnableDeleteRow: true, // 删除行
            isEnableInsertColumn: true, // 插入列
            isEnableDeleteColumn: true, // 删除列
            isEnableMergeCell: true // 合并单元格
          }
        },

        {
          options: {
            left: 25,
            top: 376,
            height: 13,
            lineHeight: 13,
            width: 218,
            fontSize: 12.5,
            title: '',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'takerName',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 25,
            top: 410,
            height: 13,
            lineHeight: 13,
            width: 218,
            fontSize: 12.5,
            title: '打单',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'createBy',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 238,
            top: 410,
            height: 13,
            lineHeight: 13,
            width: 218,
            fontSize: 12.5,
            title: '提单',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'takerDa',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 238,
            top: 376,
            height: 13,
            lineHeight: 13,
            width: 218,
            fontSize: 12.5,
            title: '联系方式',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'takerPhone',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 463,
            top: 376,
            height: 13,
            lineHeight: 13,
            width: 218,
            fontSize: 12.5,
            title: '车辆',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'pickCar',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 463,
            top: 410,
            height: 13,
            lineHeight: 13,
            width: 218,
            fontSize: 12.5,
            title: '仓库',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'correspondNames',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 25,
            top: 393,
            height: 13,
            lineHeight: 13,
            width: 640,
            fontSize: 12.5,
            title: "送货地址",
            fontFamily: "黑体,宋体,微软雅黑",
            field: "address",
            testData: "",
            color: "#000",
            textAlign: "left",
          },
          printElementType: { title: "", type: "text" },
        },
        {
          options: {
            left: 610,
            top: 410,
            height: 13,
            lineHeight: 13,
            width: 218,
            fontSize: 16,
            title: '',
            fontFamily: '黑体,宋体,微软雅黑',
            field: 'pageNumber',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        }
      ],
      paperNumberDisabled: true
    }
  ]
}
