export default {
  panels: [
    {
      index: 0,
      height: 140,
      width: 241,
      paperCount: 222,
      printElements: [
        {
          options: {
            left: 0,
            top: 25,
            height: 27,
            width: 656,
            field: 'company',
            fontSize: 19,
            fontWeight: '600',
            fontFamily: '黑体',
            textAlign: 'center',
            lineHeight: 26
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 40,
            top: 50,
            height: 13,
            width: 328,
            fontSize: 12.5,
            title: '经销商编码',
            fontFamily: '黑体',
            field: 'customerNumber',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 550,
            top: 50,
            height: 13,
            width: 328,
            fontSize: 12.5,
            title: '打印次数',
            fontFamily: '黑体',
            field: 'printNum',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 348,
            top: 50,
            height: 13,
            width: 328,
            fontSize: 12.5,
            title: '打印日期',
            fontFamily: '黑体',
            field: 'nowDate',
            testData: '',
            color: '#000',

            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 40,
            top: 70,
            height: 13,
            width: 328,
            fontSize: 12.5,
            title: '经销商',
            fontFamily: '黑体',
            field: 'customerName',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 348,
            top: 70,
            height: 13,
            width: 328,
            fontSize: 12.5,
            title: '仓库',
            fontFamily: '黑体',
            field: 'correspondName',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        ,
        {
          options: {
            left: 40,
            top: 90,
            height: 13,
            width: 328,
            fontSize: 12.5,
            title: '备注',
            fontFamily: '黑体',
            field: 'headerRemark',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 23,
            top: 105,
            height: 381,
            width: 633,
            fontSize: 12.5,
            field: 'table',
            fontFamily: '黑体',
            lineHeight: 16,
            tableFooterRepeat: '',
            columns: [
              [
                {
                  title: '出库单号',
                  field: 'salesId',
                  width: 40,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '发货单号',
                  field: 'invoiceId',
                  width: 47,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '发货日期',
                  field: 'createTime',
                  width: 25,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '订单号',
                  field: 'enginOrderType',
                  width: 40,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '存货名称',
                  field: 'materialName',
                  width: 40,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '规格型号',
                  field: 'specification',
                  width: 120,
                  align: 'left',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5
                },
                {
                  title: '数量',
                  field: 'refundableQty',
                  width: 23,
                  align: 'center',
                  colspan: 1,
                  rowspan: 1,
                  fontSize: 12.5,
                  tableSummary: 'sum'
                },
                // , {
                //   "title": "订单备注",
                //   "field": "headerRemark",
                //   "width": 40,
                //   "align": "center",
                //   "colspan": 1,
                //   "rowspan": 1,
                //   "fontSize": 12.5,
                // }

                {
                  title: '备注说明',
                  field: 'pjxh1Text',
                  width: 40,
                  align: 'left',
                  colspan: 2,
                  rowspan: 1,
                  fontSize: 12.5
                }
              ]
            ]
          },
          printElementType: {
            title: '表格',
            type: 'table',
            editable: true,
            columnDisplayEditable: true, //列显示是否能编辑
            columnDisplayIndexEditable: true, //列顺序显示是否能编辑
            columnTitleEditable: true, //列标题是否能编辑
            columnResizable: true, //列宽是否能调整
            columnAlignEditable: true, //列对齐是否调整
            isEnableEditField: true, //编辑字段
            isEnableContextMenu: true, //开启右键菜单 默认true
            isEnableInsertRow: true, //插入行
            isEnableDeleteRow: true, //删除行
            isEnableInsertColumn: true, //插入列
            isEnableDeleteColumn: true, //删除列
            isEnableMergeCell: true //合并单元格
          }
        },
        ,
        {
          options: {
            left: 40,
            top: 360,
            height: 13,
            width: 218,
            fontSize: 12.5,
            title: '',
            fontFamily: '黑体',
            field: 'takerName',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 40,
            top: 381,
            height: 13,
            width: 218,
            fontSize: 12.5,
            title: '打单',
            fontFamily: '黑体',
            field: 'createBy',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 238,
            top: 381,
            height: 13,
            width: 218,
            fontSize: 12.5,
            title: '车辆',
            fontFamily: '黑体',
            field: 'pickCar',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 238,
            top: 360,
            height: 13,
            width: 218,
            fontSize: 12.5,
            title: '联系方式',
            fontFamily: '黑体',
            field: 'takerPhone',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 463,
            top: 360,
            height: 13,
            width: 218,
            fontSize: 12.5,
            title: '提单',
            fontFamily: '黑体',
            field: 'takerDa',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 463,
            top: 381,
            height: 13,
            width: 218,
            fontSize: 12.5,
            title: '仓库',
            fontFamily: '黑体',
            field: 'correspondNames',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        },
        {
          options: {
            left: 650,
            top: 381,
            height: 13,
            width: 218,
            fontSize: 16,
            title: '',
            fontFamily: '黑体',
            field: 'pageNumber',
            testData: '',
            color: '#000',
            textAlign: 'left'
          },
          printElementType: { title: '', type: 'text' }
        }
      ],
      paperNumberDisabled: true
    }
  ]
}
