/**
 * 管理下拉框选项
 */


// 审核状态
export const EXAMINE_STATUS = [
  { label: '待审核', value: 'WAIT' },
  { label: '审核通过', value: 'OK' },
  { label: '审核失败', value: 'FAIL' }
]

// 结算状态
export const SETTLE_STATUS = [
  { label: '未结算', value: 'wjs' },
  { label: '部分结算', value: 'bfjs' },
  { label: '全部结算', value: 'yjs' }
]

// 结算状态
export const SETTLE2_STATUS = [
  { label: '总部未结算', value: 0 },
  { label: '总部已结算', value: 1 }
]

// 结算状态
export const SETTLE3_STATUS = [
  { label: '待导入开票数据', value: 'DKP' },
  { label: '待结算', value: 'WAIT' },
  { label: '成功', value: 'OK' },
  { label: '失败', value: 'FAIL' },
]

// 扣单类型
export const DEDUCT_TYPE = [
  { label: '扣一次', value: 'ONE' },
  { label: '每月扣', value: 'MONTH' },
]

// 执行状态
export const FINISHED_STATUS = [
  { label: '已执行', value: true },
  { label: '未执行', value: false },
]

// 大类列表
export const MAIN_LIST = [
  { label: '家用空调', value: 101 },
  { label: '商用空调', value: 102 },
  { label: '家用空气能热水器', value: 103 },
  { label: '生活电器', value: 104 },
  { label: '晶弘冰箱', value: 106 },
  { label: '壁挂炉', value: 109 },
]

// 大类列表
export const MAIN2_LIST = [
  { label: '家用空调', value: 101 },
  { label: '空气能热水器', value: 103 },
  { label: '生活电器', value: 104 },
  { label: '晶弘冰箱', value: 106 },
]

// 大类列表
export const MAIN3_LIST = [
  { label: '家用空调', value: 101 },
  { label: '空气能热水器', value: 103 },
  { label: '生活电器', value: 104 },
  { label: '晶弘冰箱', value: 106 },
  { label: '清洗', value: 0 },
]

// 导入状态
export const IMPORT_STATUS = [
  { label: '已导入', value: 'ydr' },
  { label: '未导入', value: 'wdr' },
]

// 导入状态
export const IMPORT2_STATUS = [
  { label: '已导入', value: 1 },
  { label: '未导入', value: 0 },
]

// 确定状态
export const CONFIRM_STATUS = [
  { label: '已确定', value: 'yqd' },
  { label: '未确定', value: 'wqd' },
  { label: '部分确定', value: 'bfqd' }
]

// 确定状态
export const CONFIRM2_STATUS = [
  { label: '未处理', value: 0 },
  { label: '已同意', value: 1 },
  { label: '不同意', value: 2 },
]

// 确定状态
export const CONFIRM3_STATUS = [
  { label: '未完成', value: 1 },
  { label: '部分完成', value: 2 },
  { label: '已完成', value: 3 },
]

// 评价列表
export const EVALUATE_LIST = [
  { label: '未评价', value: 0 },
  { label: '差评', value: 1 },
  { label: '中评', value: 2 },
  { label: '好评', value: 3 },
]

// 工单类型
export const ORDER_TYPE = [
  { label: '安装单', value: 'INSTALL' },
  { label: '维修单', value: 'REPAIR' },
]

// 工单类型
export const ORDER2_TYPE = [
  { label: '安装', value: 1 },
  { label: '维修', value: 2 },
]

// 师傅类型
export const WORKER_TYPE = [
  { label: '主要人员', value: 'MASTER' },
  { label: '辅助人员', value: 'SLAVE' },
]

// 支付状态
export const PAY_STATUS = [
  { label: '未支付', value: 1 },
  { label: '支付中', value: 2 },
  { label: '已支付', value: 3 },
]

// 发放状态
export const GRANT_STATUS = [
  { label: '待中心审核', value: 'WAIT' },
  { label: '已发放', value: 'OK' },
  { label: '审核失败', value: 'FAIL' }
]

// 奖惩类型
export const REWARD_PUNISHMENT_TYPE = [
  { label: '奖励', value: 'REWARD' },
  { label: '惩罚', value: 'PUNISHMENT' },
]

// 安装类型
export const INSTALL_TYPE = [
  { label: '一体机', value: 'all' },
  { label: '内机', value: 'inside' },
  { label: '外机', value: 'out' },
  { label: '一拖二', value: 'insideTwo' },
  { label: '一内一外', value: 'insideAndOut' },
]

// 服务人员等级列表
export const WORKER_GRADE_LIST = [
  { label: '基础服务人员', value: '0' },
  { label: 'A级服务人员', value: 'A' },
  { label: 'B级服务人员', value: 'B' },
  { label: 'C级服务人员', value: 'C' },
  { label: 'D级服务人员', value: 'D' },
  { label: 'E级服务人员', value: 'E' },
]

// 审核状态
export const EXAMINE2_STATUS = [
  { label: '待网点审核', value: 0 },
  { label: '待中心审核', value: 1 },
  { label: '审核成功', value: 2 },
  { label: '审核失败', value: 3 },
  { label: '中心添加', value: 4 },
]

// 默认状态
export const DEFAULT_STATUS = [
  { label: '正常', value: true },
  { label: '禁用', value: false },
]

// 配置状态
export const CONFIGURE_STATUS = [
  { label: '已配置', value: 1 },
  { label: '未配置', value: 0 },
]

// 销售类型
export const SALES_TYPE = [
  { label: '零售机', value: 1 },
  { label: '工程机', value: 2 },
]

// 分中心
export const CENTER_LIST = [
  { label: '广州', value: 'S9219801' },
  { label: '佛山', value: 'S9219807' },
]

// 设备条码核验状态
export const CODE_CHECK_STATUS = [
  { label: '广佛设备', value: 1 },
  { label: '非广佛设备', value: 2 },
]

export const COMMON_SELECT_DATA = {
  EXAMINE_STATUS,
  SETTLE_STATUS,
  SETTLE2_STATUS,
  SETTLE3_STATUS,
  DEDUCT_TYPE,
  FINISHED_STATUS,
  MAIN_LIST,
  MAIN2_LIST,
  MAIN3_LIST,
  IMPORT_STATUS,
  IMPORT2_STATUS,
  CONFIRM_STATUS,
  CONFIRM2_STATUS,
  CONFIRM3_STATUS,
  EVALUATE_LIST,
  ORDER_TYPE,
  ORDER2_TYPE,
  WORKER_TYPE,
  PAY_STATUS,
  GRANT_STATUS,
  REWARD_PUNISHMENT_TYPE,
  INSTALL_TYPE,
  WORKER_GRADE_LIST,
  EXAMINE2_STATUS,
  DEFAULT_STATUS,
  CONFIGURE_STATUS,
  SALES_TYPE,
  CENTER_LIST,
  CODE_CHECK_STATUS
}
